Bug 1691185 - The MySQL Utilities project is EOL [NEEDINFO]
Summary: The MySQL Utilities project is EOL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-utilities
Version: rawhide
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-21 04:41 UTC by Michal Schorm
Modified: 2019-07-18 09:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-18 09:39:59 UTC
Type: Bug
mschorm: needinfo? (pahan)


Attachments (Terms of Use)

Description Michal Schorm 2019-03-21 04:41:28 UTC
e-mail from the Lars Tangvald <lars.tangvald@oracle.com>

--

Hi,

The MySQL Utilities project is EOL (and may cause issues with other 
packages in the MySQL ecosystem), so you may wish to consider removing 
it from Fedora:

It was moved to  Lifetime Sustaining Support May 30, 2018:
https://www.mysql.com/support/eol-notice.html

Last commit to github was Dec 22, 2016:
https://github.com/mysql/mysql-utilities/commits/master

It has no Python 3 support (so switch from 2 to 3 as default will likely 
cause issues).

It has limited MySQL 8 support, see e.g.
https://github.com/mysql/mysql-utilities/issues/36

It requires MySQL Connector Python 1.x, and will not work with 8.0.x, 
blocking a transition of that package.

--

Comment 1 Michal Schorm 2019-03-21 04:43:28 UTC
We should also follow the EOL of this package in Fedora, starting with F31.

--

Pavel, please respond so I can be sure you got this message.


Note You need to log in before you can comment on or make changes to this bug.